<!DOCTYPE html>
<html
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Sources of Revenue</title>
  </head>
  <body>
    <section layout:fragment="breadcrumb" class="content-header">
      <h1>
        Estimate Date Revenues
        <small>Form</small>
      </h1>
      <ol class="breadcrumb">
        <li class="treeview active">Setting</li>
        <li class="active">Estimate Date Revenues</li>
      </ol>
    </section>

    <section layout:fragment="main" class="content">
      <div class="row">
        <div class="col-md-6">
          <div class="alert alert-danger" th:if="${error != null}">
            <h4>Save Data Failed!</h4>

            <p th:text="${error}">Data Berhasil Disimpan.</p>
          </div>
          <!-- Horizontal Form -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Form Estimate Date Revenues</h3>
              <br />
              <br />

              <p
                th:text="${'Post : ' + rencanaPenerimaan.mataAnggaran.namaMataAnggaran}"
              >
                Follow the steps to continue to payment.
              </p>
              <p th:text="${'Description : ' + rencanaPenerimaan.keterangan}">
                Follow the steps to continue to payment.
              </p>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
            <form
              class="form-horizontal"
              th:action="@{/setting/penerimaan/estimasi/update(penerimaan = ${rencanaPenerimaan.id})}"
              th:object="${estimasiPenerimaan}"
              method="post"
            >
              <div class="box-body">
                <div class="form-group">
                  <label for="tanggalString" class="col-sm-2 control-label"
                    >Date</label
                  >
                  <div class="col-sm-10">
                    <div class="input-group date">
                      <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                      </div>
                      <input
                        type="text"
                        class="form-control pull-right"
                        id="tanggalString"
                        th:field="*{tanggalString}"
                        name="tanggalString"
                        placeholder="MM/dd/yyyy"
                      />
                    </div>
                    <!--                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">-->

                    <p
                      th:if="${#fields.hasErrors('tanggal')}"
                      th:errors="*{tanggal}"
                      class="text-danger"
                    >
                      Mata Anggaran Error
                    </p>
                  </div>
                </div>

                <div class="form-group">
                  <label for="kuantitas" class="col-sm-2 control-label"
                    >Qty</label
                  >

                  <div class="col-sm-10">
                    <input
                      type="text"
                      class="form-control"
                      th:field="*{kuantitas}"
                      name="kuantitas"
                      id="kuantitas"
                      placeholder="0.00"
                    />
                    <p
                      th:if="${#fields.hasErrors('kuantitas')}"
                      th:errors="*{kuantitas}"
                      class="text-danger"
                    >
                      Mata Anggaran Error
                    </p>
                  </div>
                </div>

                <div class="form-group">
                  <label for="satuan" class="col-sm-2 control-label"
                    >Units</label
                  >

                  <div class="col-sm-10">
                    <select
                      class="form-control select2"
                      name="satuan"
                      th:field="*{satuan}"
                      id="satuan"
                      style="width: 100%"
                    >
                      <option
                        th:each="data : ${satuan}"
                        th:text="${'('+ data.satuan +')'  + '       -       ' +  data.satuan}"
                        th:value="${data.satuan}"
                      >
                        sdasd
                      </option>
                    </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="jumlahSatuan" class="col-sm-2 control-label"
                    >Price</label
                  >

                  <div class="col-sm-10">
                    <input
                      type="text"
                      class="form-control"
                      th:field="*{jumlahSatuan}"
                      name="amount"
                      id="jumlahSatuan"
                      placeholder="0.00"
                    />
                    <p
                      th:if="${#fields.hasErrors('jumlahSatuan')}"
                      th:errors="*{jumlahSatuan}"
                      class="text-danger"
                    >
                      Mata Anggaran Error
                    </p>
                  </div>
                </div>

                <div class="form-group">
                  <label for="deskripsi" class="col-sm-2 control-label"
                    >Description</label
                  >

                  <div class="col-sm-10">
                    <textarea
                      class="form-control"
                      rows="3"
                      th:field="*{deskripsi}"
                      name="deskripsi"
                      id="deskripsi"
                      placeholder="deskripsi ..."
                    ></textarea>
                  </div>
                </div>

                <!--                        <input type="hidden" name="penerimaan" th:field="*{penerimaan}" th:value="${rencanaPenerimaan}" >-->
                <input type="hidden" name="id" th:field="*{id}" />
              </div>
              <!-- /.box-body -->
              <div class="box-footer">
                <a
                  th:href="@{/setting/penerimaan/estimasi(id = ${rencanaPenerimaan.id})}"
                  class="btn btn-default"
                  >Cancel</a
                >
                <button
                  type="submit"
                  class="btn btn-info pull-right"
                  id="simpan"
                >
                  Save
                </button>
              </div>
              <!-- /.box-footer -->
            </form>
          </div>
        </div>
      </div>
    </section>

    <section layout:fragment="footer" class="script">
      <script>
        $(function () {
          //Initialize Select2 Elements
          $(".select2").select2();

          //Datemask dd/mm/yyyy
          $("#datemask").inputmask("yyyy-mm-dd", { placeholder: "dd/mm/yyyy" });
          //Datemask2 mm/dd/yyyy
          $("#datemask2").inputmask("mm/dd/yyyy", {
            placeholder: "mm/dd/yyyy",
          });
          //Money Euro
          $("[data-mask]").inputmask();

          //Date range picker
          $("#reservation").daterangepicker();
          //Date range picker with time picker
          $("#reservationtime").daterangepicker({
            timePicker: true,
            timePickerIncrement: 30,
            locale: { format: "MM/DD/YYYY hh:mm A" },
          });
          //Date range as a button
          $("#daterange-btn").daterangepicker(
            {
              ranges: {
                Today: [moment(), moment()],
                Yesterday: [
                  moment().subtract(1, "days"),
                  moment().subtract(1, "days"),
                ],
                "Last 7 Days": [moment().subtract(6, "days"), moment()],
                "Last 30 Days": [moment().subtract(29, "days"), moment()],
                "This Month": [
                  moment().startOf("month"),
                  moment().endOf("month"),
                ],
                "Last Month": [
                  moment().subtract(1, "month").startOf("month"),
                  moment().subtract(1, "month").endOf("month"),
                ],
              },
              startDate: moment().subtract(29, "days"),
              endDate: moment(),
            },
            function (start, end) {
              $("#daterange-btn span").html(
                start.format("MMMM D, YYYY") +
                  " - " +
                  end.format("MMMM D, YYYY")
              );
            }
          );

          //Date picker
          $("#tanggalString").datepicker({
            autoclose: true,
            locale: { format: "YYYY-MM-DD" },
          });

          //iCheck for checkbox and radio inputs
          $(
            'input[type="checkbox"].minimal, input[type="radio"].minimal'
          ).iCheck({
            checkboxClass: "icheckbox_minimal-blue",
            radioClass: "iradio_minimal-blue",
          });
          //Red color scheme for iCheck
          $(
            'input[type="checkbox"].minimal-red, input[type="radio"].minimal-red'
          ).iCheck({
            checkboxClass: "icheckbox_minimal-red",
            radioClass: "iradio_minimal-red",
          });
          //Flat red color scheme for iCheck
          $(
            'input[type="checkbox"].flat-red, input[type="radio"].flat-red'
          ).iCheck({
            checkboxClass: "icheckbox_flat-green",
            radioClass: "iradio_flat-green",
          });

          //Colorpicker
          $(".my-colorpicker1").colorpicker();
          //color picker with addon
          $(".my-colorpicker2").colorpicker();

          //Timepicker
          $(".timepicker").timepicker({
            showInputs: false,
          });
        });
      </script>
      <script>
        $(".js-example-placeholder-single").select2({
          placeholder: "Pilih Salah Satu",
          allowClear: true,
        });

        $(".simpan").click(function () {
          Swal.fire({
            position: "top-end",
            type: "success",
            title: "Your work has been saved",
            showConfirmButton: false,
          });
        });
      </script>
    </section>
  </body>
</html>
